import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import * as _m0 from "protobufjs/minimal";
import { MsgSafetyFundSpend, MsgSafetyFundSpendResponse } from "./tx";
/** Msg defines the safety module's Msg service */

export class MsgClientImpl {
  constructor(rpc) {
    _defineProperty(this, "rpc", void 0);
    this.rpc = rpc;
    this.safetyFundSpend = this.safetyFundSpend.bind(this);
  }
  safetyFundSpend(request) {
    const data = MsgSafetyFundSpend.encode(request).finish();
    const promise = this.rpc.request("mars.safety.v1beta1.Msg", "SafetyFundSpend", data);
    return promise.then(data => MsgSafetyFundSpendResponse.decode(new _m0.Reader(data)));
  }
}